OpenJPEG 2.3.0

Macros | Functions
event.c File Reference
`#include "opj_includes.h"`

## Macros
#define | OPJ_MSG_SIZE 512 /* 512 bytes should be more than enough for a short message */

## Functions
static void | opj_default_callback (const char *msg, void *client_data)
| Default callback function. More...
OPJ_BOOL | opj_event_msg (opj_event_mgr_t *p_event_mgr, OPJ_INT32 event_type, const char *fmt,...)
| Write formatted data to a string and send the string to a user callback. More...
void | opj_set_default_event_handler (opj_event_mgr_t *p_manager)
| Set the event manager with the default callback function for the 3 levels. More...

## Macro Definition Documentation

## ◆ OPJ_MSG_SIZE

#define OPJ_MSG_SIZE 512 /* 512 bytes should be more than enough for a short message */

Referenced by opj_event_msg().

## Function Documentation

## ◆ opj_default_callback()

static void opj_default_callback | ( | const char * | msg,
|  | void * | client_data
| ) |  |
| static

Default callback function.

Do nothing.

References OPJ_ARG_NOT_USED.

Referenced by opj_set_default_event_handler().